
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: productlineInfoTypes.addInput) {
        return request('/api/productline/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: productlineInfoTypes.delInput) {
        return request(`/api/productline/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: productlineInfoTypes.updateInput) {
        return request('/api/productline/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/productline/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List() {
        return request('/api/productline/list', {
            method: 'POST',
        });
    },
     // 下拉列表
     selectlist() {
        return request('/api/productline/selectlist', {
            method: 'GET',

        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: productlineInfoTypes.queryPage) {
        return request('/api/productline/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
     // 产线添加设备
    Batchdevice(parms: productlineInfoTypes.batchDevice) {
        return request('/api/productline/addbatchdevice', {
            method: 'POST',
            data: {
                ...parms,
            }
        })
    },
    // 产线设备列表
    devicelist(parms: productlineInfoTypes.deviceQuery) {
        return request('/api/productline/devicelist', {
            method: 'POST',
            data: {
                ...parms
            }
        })
    },
}

